# Gimp.Path.stroke_flip

    @accepts(Gimp.Path, int, Gimp.OrientationType, float)
    @returns(bool)
    def stroke_flip(self, stroke_id, flip_type, axis):
        # Python wrapper for gimp_path_stroke_flip()

flips the given stroke.

Rotates the given stroke around given center by angle (in degrees).

Since 2.4

self

  The path object.

stroke_id

  The stroke ID.

flip_type

  Flip orientation, either vertical or horizontal.

axis

  axis coordinate about which to flip, in pixels.

Returns